{% load static %}

<!--<link rel="stylesheet" href="{% static 'bcf2tiff/style.css' %}">-->

<!DOCTYPE html>
<html lang="en">

<head>
    <style>

        li a {
    color: green;
}
body {
    #background: white url("https://im.contentlounge.net/styles/manual_crop/s3/2021-06/96785200.jpg?im=Resize%3D%281200%2C675%29%2Caspect%3Dfit%2CAspectCrop%2Csize%3D%281200%2C675%29%2Cgravity%3DCenter%2CallowExpansion%2CBackgroundColor%2Ccolor%3Dtransparent&hash=5a64a20b0ee1a29d816c66664dcf69da34605be83e0cb3453bcb642805be55c5") no-repeat;
    font-family: 'Trebuchet MS', sans-serif;
    font-size: 20px;


}

DIV.top{
    min-height: 10%;
    #background: yellow;
    border-bottom: 1px solid grey;
}

DIV.name{
    font-size: 65px
}

DIV.main{
    min-height: 550px;
    #background: red

}

.bottom {
    height: 95px;
    bottom: 10px;
    #background: blue;
    border-top: 1px solid grey;

    }

.button {
  background-color: #204060;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
}

    </style>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Upload Files</title>
</head>
<body>
    <div class="top">
        {% include "top.html" %}
    </div>
    <div class="main" align="center">
        <form method='post' enctype="multipart/form-data" id="upload-form">
            {%csrf_token %}
            {{form.as_p}}
            <div><input type="file" id="fileInput" accept=".bcf" multiple> </div>
            <br>
            <div><button class="button" type="submit" value="Upload" id="upload-button"> Upload</button></div>
            <div><progress id="progressBar" value="0" max="100"></progress></div>
        </form>
        <script>
            const form = document.getElementById("upload-form");
            const fileInput = document.getElementById("fileInput");
            const progressBar = document.getElementById('progressBar');
            form.onsubmit = function(event) {
                event.preventDefault();

                const files = fileInput.files;
                const formData = new FormData();
                for (const file of files) {
                    formData.append(file.name, file);
                }
                formData.append('csrfmiddlewaretoken', '{{ csrf_token }}');


                const xhr = new XMLHttpRequest();
                xhr.open('POST', '/', true);

                xhr.upload.onprogress = function(event) {
                  if (event.lengthComputable) {
                    const percentComplete = (event.loaded / event.total) * 100;
                    progressBar.value = percentComplete;
                  }
                };
                xhr.onload = function() {
                    if (xhr.status === 200){
                        console.log(xhr)
                        window.location = xhr.responseURL
                    }else{
                        alert('File upload failed')
                    }
                }
                xhr.send(formData);

             };
        </script>
        <div>{{info}}</div>
    </div>
    <div class="bottom">
        {% include "bottom.html" %}
    </div>
</body>

</html>